Module java.xml
Package javax.xml.stream

# Class XMLStreamException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.stream.XMLStreamException

All Implemented Interfaces:
  `Serializable`

public class XMLStreamException extends Exception
The base exception for unexpected processing errors. This Exception class is used to report well-formedness errors as well as unexpected processing conditions.

Since:
  1.6
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Location`
  `location`
  The location of the error.
  `protected Throwable`
  `nested`
  The nested exception.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLStreamException()`
  Default constructor
  `XMLStreamException(String msg)`
  Construct an exception with the assocated message.
  `XMLStreamException(String msg, Throwable th)`
  Construct an exception with the assocated message and exception
  `XMLStreamException(String msg, Location location)`
  Construct an exception with the assocated message, exception and location.
  `XMLStreamException(String msg, Location location, Throwable th)`
  Construct an exception with the assocated message, exception and location.
  `XMLStreamException(Throwable th)`
  Construct an exception with the assocated exception

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Location`
  `getLocation()`
  Gets the location of the exception
  `Throwable`
  `getNestedException()`
  Gets the nested exception.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### nested

    protected Throwable nested
    The nested exception.

  - ### location

    protected Location location
    The location of the error.

- ## Constructor Details

  - ### XMLStreamException

    public XMLStreamException()
    Default constructor

  - ### XMLStreamException

    public XMLStreamException(String msg)
    Construct an exception with the assocated message.
    Parameters:
      `msg` - the message to report

  - ### XMLStreamException

    public XMLStreamException(Throwable th)
    Construct an exception with the assocated exception
    Parameters:
      `th` - a nested exception

  - ### XMLStreamException

    public XMLStreamException(String msg, Throwable th)
    Construct an exception with the assocated message and exception
    Parameters:
      `th` - a nested exception
      `msg` - the message to report

  - ### XMLStreamException

    public XMLStreamException(String msg, Location location, Throwable th)
    Construct an exception with the assocated message, exception and location.
    Parameters:
      `th` - a nested exception
      `msg` - the message to report
      `location` - the location of the error

  - ### XMLStreamException

    public XMLStreamException(String msg, Location location)
    Construct an exception with the assocated message, exception and location.
    Parameters:
      `msg` - the message to report
      `location` - the location of the error

- ## Method Details

  - ### getNestedException

    public Throwable getNestedException()
    Gets the nested exception.
    Returns:
      Nested exception

  - ### getLocation

    public Location getLocation()
    Gets the location of the exception
    Returns:
      the location of the exception, may be null if none is available